### Class

# Adw AnimationTarget

since: 1

#### Description [src]

    abstract class Adw.AnimationTarget : GObject.Object
    {
      /* No available fields */
    }

Represents a value `AdwAnimation` can animate.

Available since: 1

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- AdwCallbackAnimationTarget
- AdwPropertyAnimationTarget

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwAnimationTargetClass {
      /* no available fields */
    }

No description available.